Extending Qt Creator Manual | MimeTypeParserBase

Extending Qt Creator Manual 4.7.1

# MimeTypeParserBase Class

(Utils::Internal::MimeTypeParserBase)

- List of all members, including inherited members

## Protected Functions

virtual bool | mimeTypeExists(const int &mimeTypeName) = 0
virtual bool | process(const int &t, int *errorMessage) = 0
virtual void | processAlias(const int &alias, const int &name) = 0
virtual void | processMagicMatcher(const int &matcher) = 0
virtual void | processParent(const int &child, const int &parent) = 0

## Member Function Documentation

### `[pure virtual protected]` bool MimeTypeParserBase::mimeTypeExists(const int &mimeTypeName)

### `[pure virtual protected]` bool MimeTypeParserBase::process(const int &t, int *errorMessage)

### `[pure virtual protected]` void MimeTypeParserBase::processAlias(const int &alias, const int &name)

### `[pure virtual protected]` void MimeTypeParserBase::processMagicMatcher(const int &matcher)

### `[pure virtual protected]` void MimeTypeParserBase::processParent(const int &child, const int &parent)